summaryrefslogtreecommitdiff
path: root/source4/torture/tests
diff options
context:
space:
mode:
authorStefan Metzmacher <metze@samba.org>2009-11-17 15:23:39 +0100
committerStefan Metzmacher <metze@samba.org>2009-11-18 06:50:24 +0100
commit63ff7a8db15b4de906093ea793721f99a93692b6 (patch)
tree9a7dbda07c0cebb019c942387416c9e67072979a /source4/torture/tests
parent35775c24d36c8359d3564fee7c7c5b3c6086213b (diff)
downloadsamba-63ff7a8db15b4de906093ea793721f99a93692b6.tar.gz
s4:torture/test_gentest.sh: make use of the PREFIX argument
We should not use hardcode pathes! metze
Diffstat (limited to 'source4/torture/tests')
-rwxr-xr-xsource4/torture/tests/test_gentest.sh11
1 files changed, 6 insertions, 5 deletions
diff --git a/source4/torture/tests/test_gentest.sh b/source4/torture/tests/test_gentest.sh
index c7f66c8445d..ad9ecd636a2 100755
--- a/source4/torture/tests/test_gentest.sh
+++ b/source4/torture/tests/test_gentest.sh
@@ -5,7 +5,7 @@
if [ $# -lt 4 ]; then
cat <<EOF
-Usage: test_gentest.sh SERVER USERNAME PASSWORD DOMAIN
+Usage: test_gentest.sh SERVER USERNAME PASSWORD DOMAIN PREFIX
EOF
exit 1;
fi
@@ -14,7 +14,8 @@ SERVER=$1
USERNAME=$2
PASSWORD=$3
DOMAIN=$4
-shift 4
+PREFIX=$5
+shift 5
failed=0
samba4bindir="$BUILDDIR/bin"
@@ -22,13 +23,13 @@ gentest="$samba4bindir/gentest$EXEEXT"
. `dirname $0`/../../../testprogs/blackbox/subunit.sh
-cat <<EOF > st/gentest.ignore
+cat <<EOF > $PREFIX/gentest.ignore
all_info.out.fname
internal_information.out.file_id
EOF
-testit "gentest" $VALGRIND $gentest //$SERVER/test1 //$SERVER/test2 --num-ops=100 --ignore=st/gentest.ignore -W "$DOMAIN" -U"$USERNAME%$PASSWORD" -U"$USERNAME%$PASSWORD" $@ || failed=`expr $failed + 1`
+testit "gentest" $VALGRIND $gentest //$SERVER/test1 //$SERVER/test2 --num-ops=100 --ignore=$PREFIX/gentest.ignore -W "$DOMAIN" -U"$USERNAME%$PASSWORD" -U"$USERNAME%$PASSWORD" $@ || failed=`expr $failed + 1`
-rm -f st/gentest.ignore
+rm -f $PREFIX/gentest.ignore
exit $failed